%define name kmovisto
%define version 0.4.0
%define release 4mdk

Summary: Molecule viewer and 3-D exporter
Name: %name
Version: %version
Release: %release
License: GPL
URL: http://mitglied.lycos.de/PageOfMH
Group: Sciences/Chemistry
Source: %name-%version.tar.bz2
BuildRequires: libqt3-devel
BuildRoot: %_tmppath/%name-root

%description
KMovisto is a free molecule viewer. This program imports GAUSSIAN or XYZ files
and exports POVRay, VRML or XYZ files.

%prep
%setup -q
perl -p -i -e 's/\-lqt/\-lqt\-mt/g' `find -name 'Makefile*'`

perl -p -i -e 's/a\.setStyle\(new\ QCDEStyle\)/\/\/a\.setStyle\(new\ QCDEStyle\)/g' kmovisto/main.cpp
perl -p -i -e 's/\/\/\ a\.setStyle\(new\ QWindowsStyle\)/\ a\.setStyle\(new\ QWindowsStyle\)/g' kmovisto/main.cpp

perl -p -i -e 's/QWidget\ \*parent\ \=\ 0\,\ const\ char\ \*name\ \=\ 0\,\ WFlags\ f\ \=\ 0/QWidget\ \*parent\,\ const\ char\ \*name\,\ WFlags\ f/g' `find -name '*.cpp'`
perl -p -i -e 's/QWidget\ \*parent\ \=\ 0\,\ const\ char\ \*name\ \=\ 0/QWidget\ \*parent\,\ const\ char\ \*name/g' `find -name '*.cpp'`
perl -p -i -e 's/int\ resetFileName\ \=\ 0/int\ resetFileName/g' `find -name '*.cpp'`
perl -p -i -e 's/QString\ directory\ \=\ \"\$HOME\"/QString\ directory/g' `find -name '*.cpp'`
perl -p -i -e 's/QObject\ \*parent\=0\,\ const\ char\ \*name\=0/QObject\ \*parent\,\ const\ char\ \*name/g' `find -name '*.cpp'`
perl -p -i -e 's/int\ correctErrors\ \=\ 1\)/int\ correctErrors\)/g' kmovisto/molecule.cpp
perl -p -i -e 's/int\ updateBonds\ \=\ 0\,/int\ updateBonds\,/g' kmovisto/molecule.cpp
perl -p -i -e 's/updateBonds\ \=\ 1\)/updateBonds\)/g' kmovisto/molecule.cpp
perl -p -i -e 's/updateBonds\ \=\ 0\)/updateBonds\)/g' kmovisto/molecule.cpp
perl -p -i -e 's/int\ View\ \=\ VIEW_FRONT\)/int\ View\)/g' kmovisto/molecule.cpp
perl -p -i -e 's/int\ NewView\ \=\ VIEW_FRONT\)/int\ NewView\)/g' kmovisto/molecule.cpp
perl -p -i -e 's/int\ MakeBonds\ \=\ 1\)/int\ MakeBonds\)/g' kmovisto/molecule.cpp
perl -p -i -e 's/ConsiderRotation\ \=\ 0\)/ConsiderRotation)/g' kmovisto/molecule.cpp
perl -p -i -e 's/int\ view\ \=\ 0/int\ view/g' kmovisto/molecule.cpp
perl -p -i -e 's/int\ Method\ \=\ 0\)/int\ Method\)/g' kmovisto/g94file.cpp
perl -p -i -e 's/parent\ \=\ 0/parent/g' kmovisto/kmovistoview.cpp
perl -p -i -e 's/name\ \=\ 0/name/g' kmovisto/kmovistoview.cpp

%build
%configure --with-qt-dir=/usr/lib/qt3 --with-qt-includes=/usr/lib/qt3/include --with-qt-libraries=/usr/lib/qt3/lib
%make MOC=/usr/lib/qt3/bin/moc

%install
%makeinstall

# menu
install -d $RPM_BUILD_ROOT%{_menudir}
cat << EOF > $RPM_BUILD_ROOT%{_menudir}/%{name}
?package(%{name}):command="kmovisto"\
needs="x11"\
section="Applications/Sciences/Chemistry"\
title="KMovisto"\
icon="chemistry_section.png"\
longtitle="QT Molecule Viewer"
EOF

%post
%update_menus
		
%postun
%clean_menus

%clean
rm -fr %buildroot

%files
%defattr (-,root,root,0755)
%_bindir/%name
%doc %_docdir/*
%_menudir/%name

%changelog
* Sun Mar 02 2003 Laurent MONTEL <lmontel@mandrakesoft.com> 0.4.0-4mdk
- Rebuild

* Sun Feb 02 2003 Lenny Cartier <lenny@mandrakesoft.com> 0.4.0-3mdk
- rebuild

* Thu Jan 16 2003 Austin Acton <aacton@yorku.ca> 0.4.0-2mdk
- fix menu macros
- fix license

* Thu Jan 16 2003 Austin Acton <aacton@yorku.ca> 0.4.0-1mdk
- 0.4.0
- patch patch patch

* Sat Nov 23 2002 Austin Acton <aacton@yorku.ca> 0.3.1-1mdk
- initial package for Mandrake 9
